Subject: Re: [PATCH] Fix routing tables with id > 255 for legacy software

From: Patrick McHardy <[email-masked]>
Date: Tue, 03 Jun 2008 20:28:41 +0200

Krzysztof Oledzki wrote:
> On Tue, 3 Jun 2008, Patrick McHardy wrote:
> 
>> I think the proper solution is what I wrote in the changelog
>> entry: fix userspace applications when using extended table
>> IDs.
> 
> It is unquestionably true, however it may take some time and people may 
> still use old version of such applications for whatsoever reasons.
> 
>> Your patch makes it more predictable, so I'm not completely
>> opposed, but still its just a workaround.
> 
> Indeed - it is a workaround but I believe we need it.

I'm neither opposed (as long as we don't add CONFIG options for
this) nor in favour - people using fixed applications won't notice,
and for other people it substitutes undesired behaviour by more
predictable undesirable behaviour, which is at least no loss :)